# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2019-08-05 12:39
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Nom du client')),
                ('link', models.CharField(blank=True, max_length=50, null=True, verbose_name='Site internet')),
                ('img', models.ImageField(blank=True, null=True, upload_to='', verbose_name='Logo')),
            ],
            options={
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'control'),
            },
        ),
        migrations.CreateModel(
            name='Collective',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Nom')),
                ('email', models.CharField(blank=True, max_length=50, null=True, verbose_name='Mail')),
                ('website', models.CharField(blank=True, max_length=50, null=True, verbose_name='Site web')),
                ('facebook', models.CharField(blank=True, max_length=50, null=True, verbose_name='Lien Facebook')),
                ('twitter', models.CharField(blank=True, max_length=50, null=True, verbose_name='Lien Twitter')),
                ('comingsoon', models.BooleanField(default=False, verbose_name='Coming Soon')),
                ('img', models.ImageField(blank=True, null=True, upload_to='', verbose_name='Illustration du collectif')),
            ],
            options={
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'control'),
            },
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('domaine', models.CharField(blank=True, max_length=250, null=True)),
                ('clientlocation', models.CharField(blank=True, max_length=250, null=True)),
                ('project', models.CharField(blank=True, max_length=250, null=True)),
                ('document', models.CharField(blank=True, max_length=250, null=True)),
                ('budget', models.CharField(blank=True, max_length=50, null=True)),
                ('email', models.CharField(max_length=50)),
                ('phone', models.CharField(max_length=20)),
                ('textfreelance', models.CharField(blank=True, max_length=250, null=True)),
                ('textporteur', models.CharField(blank=True, max_length=250, null=True)),
                ('textautre', models.CharField(blank=True, max_length=250, null=True)),
                ('date', models.DateTimeField(blank=True, default=django.utils.timezone.now)),
                ('status', models.CharField(blank=True, choices=[('to be dispatched', 'À dispatcher à l’extérieur'), ('dispatched', 'Dispatché à l’extérieur'), ('to be validated', 'Devis en attente de validation'), ('refused', 'Devis refusé'), ('validated', 'Devis validé'), ('invoice sent', 'Facturé'), ('paid', 'Encaissé par la cellule')], max_length=20, null=True)),
                ('captain', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('collective', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='hd_data.Collective')),
            ],
            options={
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'control'),
            },
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name="Nom de l'évènement")),
                ('startdate', models.DateTimeField(verbose_name='Date et heure de début')),
                ('enddate', models.DateTimeField(verbose_name='Date et heure de fin')),
                ('img', models.ImageField(blank=True, null=True, upload_to='', verbose_name="Illustration de l'évènement")),
                ('description', models.TextField(verbose_name='Description')),
                ('link', models.CharField(blank=True, max_length=50, null=True, verbose_name='Lien internet')),
                ('facebook', models.CharField(blank=True, max_length=50, null=True, verbose_name='Lien Facebook')),
            ],
            options={
                'ordering': ['startdate'],
            },
        ),
        migrations.CreateModel(
            name='Faq',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question', models.TextField(verbose_name='Question')),
                ('answer', models.TextField(verbose_name='Réponse')),
                ('category', models.CharField(blank=True, max_length=50, null=True, verbose_name='Catégorie de question')),
            ],
            options={
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'control'),
            },
        ),
        migrations.CreateModel(
            name='Howareyou',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Comment vas-tu ?')),
            ],
            options={
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'control'),
            },
        ),
        migrations.CreateModel(
            name='Howhelp',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name="Comment peut-on t'aider ?")),
                ('keyword', models.CharField(default='client', max_length=15, verbose_name='mot-clé')),
            ],
            options={
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'control'),
            },
        ),
        migrations.CreateModel(
            name='Locationevent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Lieu, établissement')),
                ('address', models.TextField(blank=True, max_length=225, null=True, verbose_name='Adresse')),
            ],
            options={
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'control'),
            },
        ),
        migrations.CreateModel(
            name='Regionevent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Région')),
            ],
            options={
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'control'),
            },
        ),
        migrations.CreateModel(
            name='Testimony',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name="Nom de l'indépendant")),
                ('statut', models.CharField(max_length=50, verbose_name='Statut')),
                ('porteur', models.BooleanField(choices=[(True, 'Porteur'), (False, 'Membre')], default=True, verbose_name='Porteur de cellule')),
                ('img', models.ImageField(blank=True, null=True, upload_to='', verbose_name='Photo')),
                ('text', models.TextField(blank=True, null=True, verbose_name='Témoignage')),
            ],
            options={
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'control'),
            },
        ),
        migrations.CreateModel(
            name='Typeevent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=20, verbose_name="Type d'évènement")),
            ],
            options={
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'control'),
            },
        ),
        migrations.CreateModel(
            name='Workwish',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50, verbose_name='Souhait de type de travail du client')),
            ],
            options={
                'abstract': False,
                'default_permissions': ('add', 'change', 'delete', 'view', 'control'),
            },
        ),
        migrations.AddField(
            model_name='event',
            name='location',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='hd_data.Locationevent', verbose_name="Lieu de l'évènement"),
        ),
        migrations.AddField(
            model_name='event',
            name='region',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hd_data.Regionevent', verbose_name='Région'),
        ),
        migrations.AddField(
            model_name='event',
            name='type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hd_data.Typeevent', verbose_name="Type d'évènement"),
        ),
        migrations.AddField(
            model_name='contact',
            name='howareyou',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hd_data.Howareyou'),
        ),
        migrations.AddField(
            model_name='contact',
            name='howhelp',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hd_data.Howhelp'),
        ),
        migrations.AddField(
            model_name='contact',
            name='workwish',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='hd_data.Workwish'),
        ),
    ]
